TSPIN(1)

NAME
tspin - A log file highlighter

SYNOPSIS

tspin [OPTION]... [FILE|FOLDER]...

DESCRIPTION

tailspin is a command line tool that highlights log files.

OPTIONS

-f, --follow
    Follow (tail) the contents of the file. Always true if opening a folder or using the --follow-command flag.

-e, --start-at-end
    Start at the end of the file. Always true if opening a folder.

-p, --print
    Print the output to stdout instead of viewing the contents in the pager less. Always true if using stdin.

--config-path CONFIG_PATH
    Specify the path to a custom configuration file. Defaults to XDG_CONFIG_HOME/tailspin/config.toml or ~/.config/tailspin/config.toml if not set.

-c, --listen-command COMMAND
    Continuously listen to the stdout of the provided command. The command traps the interrupt signal to allow for cancelling and resuming follow mode while inside less.

--words-[red|green|yellow|blue|magenta|cyan]
    Highlight the provided comma separated words in the desired color.

--disable-builtin-keywords
    Disables the highlighting of all builtin keyword groups (booleans, severity and REST).

--disable-booleans
    Disables the highlighting of booleans and nulls.

--disable-severity
    Disables the highlighting of severity levels.

--disable-rest
    Disables the highlighting of REST verbs.

SEE ALSO

less(1), tail(1)

ABOUT

Ben Sadeh (github.com/bensadeh/tailspin)

Released under the MIT License